<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2018 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->
<permissions>
    <privapp-permissions package="com.android.systemui">
        <!-- { Added for Samsung Capture -->
        <permission name="com.samsung.android.permission.EXTRACT_SMARTCLIP_DATA"/>
        <permission name="com.samsung.permission.CAPTURE"/>
        <permission name="com.samsung.android.permission.SEM_WRITE_CAPTURED_URL"/>
        <permission name="com.samsung.android.providers.media.READ" />
        <permission name="com.samsung.android.providers.media.WRITE" />
        <!-- Added for Samsung Capture } -->
        <!-- { Added for KnoxGuard -->
        <permission name="com.samsung.android.knoxguard.STATUS"/>
        <!-- } Added for KnoxGuard -->
        <!-- { PowerUiRune.COOLDOWN_AND_SAFE_MODE -->
        <permission name="com.samsung.android.permission.SSRM_NOTIFICATION_PERMISSION" />
        <!-- } PowerUiRune.COOLDOWN_AND_SAFE_MODE -->
        <!-- { PowerUiRune.LOW_BATTERY_DUMP -->
        <permission name="com.sec.android.app.servicemodeapp.permission.KEYSTRING" />
        <!-- } PowerUiRune.LOW_BATTERY_DUMP -->
        <!-- QpRune.QUICK_MANAGE_RETAIL_MODE_RESET -->
        <permission name="com.samsung.sea.retailagent.permission.RETAILMODE"/>
        <!-- QpRune.QUICK_MANAGE_RETAIL_MODE_RESET -->
        <!-- { LsRune.KEYGUARD_LIFT_TO_WAKEUP -->
        <permission name="com.samsung.permission.SSENSOR"/>
        <!-- } LsRune.KEYGUARD_LIFT_TO_WAKEUP -->
        <!-- { LsRune.SECURITY_FINGERPRINT -->
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <!-- } LsRune.SECURITY_FINGERPRINT -->
        <!-- { LsRune.SECURITY_FACE -->
        <permission name="com.samsung.android.bio.face.permission.MANAGE_FACE"/>
        <permission name="com.samsung.android.bio.face.permission.USE_FACE"/>
        <!-- } LsRune.SECURITY_FACE -->
        <!-- { FLIPFONT_SEP -->
        <permission name="android.permission.CHANGE_CONFIGURATION" />
        <!-- FLIPFONT_SEP } -->
        <!-- { QpRune.PANEL_CARRIERINFO_DATAUSAGE -->
        <permission name="com.samsung.permission.dc.INVOKE_DC_METHOD" />
        <!-- } QpRune.PANEL_CARRIERINFO_DATAUSAGE -->
        <!-- { Rune.SYSUI_BIXBY -->
        <permission name="com.android.quickstep.tasklock.READ"/>
        <permission name="com.android.quickstep.tasklock.WRITE"/>
        <!-- } Rune.SYSUI_BIXBY -->
        <!-- LsRune.AOD_DOZE_SERVICE -->
        <permission name="com.samsung.android.app.aodservice.permission.BROADCAST_RECEIVER" />
        <!-- LsRune.AOD_DOZE_SERVICE -->
        <!-- { Operator.shouldSupportMobileDataNotDisableVolteCall() -->
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <!-- } Operator.shouldSupportMobileDataNotDisableVolteCall() -->
        <!-- { QpRune.NOTI_EDGE_LIGHTING -->
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <!-- } QpRune.NOTI_EDGE_LIGHTING -->
        <!-- { Added for S Roaming -->
        <permission name="com.samsung.android.softsim.permission.RECEIVE" />
        <!-- Added for S Roaming } -->
        <!-- { Rune.SYSUI_IMS_MANAGER -->
        <permission name="com.sec.imsservice.PERMISSION"/>
        <permission name="com.sec.imsservice.READ_IMS_PERMISSION"/>
        <permission name="com.sec.imsservice.WRITE_IMS_PERMISSION"/>
        <!-- } Rune.SYSUI_IMS_MANAGER -->
        <!-- { Rune.SYSUI_KNOX_MONITOR -->
        <permission name="com.samsung.android.knox.permission.KNOX_SECURITY" />
        <!-- } Rune.SYSUI_KNOX_MONITOR -->		
        <!-- { QpRune.NOTI_NOTISTAR -->
        <permission name="com.samsung.systemui.notilus.permission.ACCESS_DB"/>
        <!-- } QpRune.NOTI_NOTISTAR -->
        <!-- { Added for Bixby Routine -->
        <permission name="android.permission.ACCESS_BACKGROUND_LOCATION"/>
        <permission name="android.permission.READ_SMS"/>
        <!-- } Added for Bixby Routine -->
        <!-- { Rune.POPUPUI -->
        <permission name="com.samsung.android.permission.MULTI_WINDOW_MONITOR"/>
        <!-- } Rune.POPUPUI -->
        <!-- { AppCore:MW_SPLIT_USAGE_RUNESTONE_LOGGING -->
        <permission name="com.sec.android.diagmonagent.permission.DIAGMON_SURVEY"/>
        <!-- AppCore:MW_SPLIT_USAGE_RUNESTONE_LOGGING } -->
    </privapp-permissions>
</permissions>
